BindingFactoryManagerImpl (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.bus.managers, class: BindingFactoryManagerImpl

Package org.apache.cxf.bus.managers

# Class BindingFactoryManagerImpl

java.lang.Object
org.apache.cxf.bus.managers.BindingFactoryManagerImpl

All Implemented Interfaces:
  `BindingFactoryManager`

public final class BindingFactoryManagerImpl extends Object implements BindingFactoryManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BindingFactoryManagerImpl()`
  `BindingFactoryManagerImpl(Bus b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BindingFactory`
  `getBindingFactory(String namespace)`
  Retrieves the BindingFactory registered with the given name.
  `void`
  `registerBindingFactory(String name, BindingFactory factory)`
  Registers a BindingFactory using the provided name.
  `void`
  `setBus(Bus b)`
  `void`
  `unregisterBindingFactory(String name)`
  Deregisters the BindingFactory with the provided name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BindingFactoryManagerImpl

    public BindingFactoryManagerImpl()

  - ### BindingFactoryManagerImpl

    public BindingFactoryManagerImpl(Bus b)

- ## Method Details

  - ### setBus

    public void setBus(Bus b)

  - ### registerBindingFactory

    public void registerBindingFactory(String name, BindingFactory factory)
    Description copied from interface: `BindingFactoryManager`
    Registers a BindingFactory using the provided name.
    Specified by:
      `registerBindingFactory` in interface `BindingFactoryManager`
    Parameters:
      `name` - The name of the BindingFactory.
      `factory` - The instance of the class that implements the BindingFactory interface.

  - ### unregisterBindingFactory

    public void unregisterBindingFactory(String name)
    Description copied from interface: `BindingFactoryManager`
    Deregisters the BindingFactory with the provided name.
    Specified by:
      `unregisterBindingFactory` in interface `BindingFactoryManager`
    Parameters:
      `name` - The name of the BindingFactory.

  - ### getBindingFactory

    public BindingFactory getBindingFactory(String namespace) throws BusException
    Description copied from interface: `BindingFactoryManager`
    Retrieves the BindingFactory registered with the given name.
    Specified by:
      `getBindingFactory` in interface `BindingFactoryManager`
    Parameters:
      `namespace` - The name of the BindingFactory.
    Returns:
      BindingFactory The registered BindingFactory.
    Throws:
      `BusException` - If there is an error retrieving the BindingFactory.